Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## proscene
Enum PSInteractiveFrame.CoordinateSystemConvention

    java.lang.Object
      java.lang.Enum<PSInteractiveFrame.CoordinateSystemConvention>
          proscene.PSInteractiveFrame.CoordinateSystemConvention

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PSInteractiveFrame.CoordinateSystemConvention>

Enclosing class:
  PSInteractiveFrame

    public static enum PSInteractiveFrame.CoordinateSystemConvention

extends java.lang.Enum<PSInteractiveFrame.CoordinateSystemConvention>

This enum defines the coordinate system convention which is defined as `LEFT_HANDED` by default (processing standard).

Enum Constant Summary
`LEFT_HANDED`
`RIGHT_HANDED`

Method Summary
`static PSInteractiveFrame.CoordinateSystemConvention` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PSInteractiveFrame.CoordinateSystemConvention[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT_HANDED

    public static final PSInteractiveFrame.CoordinateSystemConvention LEFT_HANDED

### RIGHT_HANDED

    public static final PSInteractiveFrame.CoordinateSystemConvention RIGHT_HANDED

Method Detail

### values

    public static PSInteractiveFrame.CoordinateSystemConvention[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PSInteractiveFrame.CoordinateSystemConvention c : PSInteractiveFrame.CoordinateSystemConvention.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PSInteractiveFrame.CoordinateSystemConvention valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

processing library glgraphics by Andres Colubri. (c) 2008